---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcompmethload001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x504A0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x523E0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x527D0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53770, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53780, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FFD0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FFD4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FFD8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50130, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x501E8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x501EC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x501F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x501F4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x501F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50200, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50210, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50218, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50220, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50228, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50230, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50238, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x5027C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50280, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50290, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50298, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9179, offset: 0x9179, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x37E0, symSize: 0x80 }
  - { offsetInCU: 0x920E, offset: 0x920E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3730, symSize: 0xB0 }
  - { offsetInCU: 0x9269, offset: 0x9269, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3630, symSize: 0x100 }
  - { offsetInCU: 0x94FC, offset: 0x94FC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3860, symSize: 0xC0 }
  - { offsetInCU: 0x954E, offset: 0x954E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3920, symSize: 0x220 }
  - { offsetInCU: 0x9733, offset: 0x9733, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3B40, symSize: 0xA0 }
  - { offsetInCU: 0x97E6, offset: 0x97E6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3BE0, symSize: 0x110 }
  - { offsetInCU: 0x98DC, offset: 0x98DC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3CF0, symSize: 0x150 }
  - { offsetInCU: 0x9A39, offset: 0x9A39, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3E40, symSize: 0x30 }
  - { offsetInCU: 0x9AFA, offset: 0x9AFA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3E70, symSize: 0x150 }
  - { offsetInCU: 0x9CF2, offset: 0x9CF2, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3FC0, symSize: 0x160 }
  - { offsetInCU: 0x9FB2, offset: 0x9FB2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4120, symSize: 0x4A0 }
  - { offsetInCU: 0xA225, offset: 0xA225, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x45C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA440, offset: 0xA440, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4770, symSize: 0xA0 }
  - { offsetInCU: 0xA50F, offset: 0xA50F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4810, symSize: 0x20 }
  - { offsetInCU: 0xA546, offset: 0xA546, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4830, symSize: 0x20 }
  - { offsetInCU: 0xA57D, offset: 0xA57D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4850, symSize: 0x20 }
  - { offsetInCU: 0xA750, offset: 0xA750, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4870, symSize: 0x1A0 }
  - { offsetInCU: 0xAA6C, offset: 0xAA6C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4A10, symSize: 0x130 }
  - { offsetInCU: 0xAC1C, offset: 0xAC1C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4B40, symSize: 0x80 }
  - { offsetInCU: 0xACE5, offset: 0xACE5, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4BC0, symSize: 0x6A0 }
  - { offsetInCU: 0xB87A, offset: 0xB87A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA2D0, symBinAddr: 0x6020, symSize: 0xB0 }
  - { offsetInCU: 0xB8F1, offset: 0xB8F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5260, symSize: 0x70 }
  - { offsetInCU: 0xB9AD, offset: 0xB9AD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x52D0, symSize: 0xA0 }
  - { offsetInCU: 0xBAD8, offset: 0xBAD8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5370, symSize: 0x40 }
  - { offsetInCU: 0xBBCE, offset: 0xBBCE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x53B0, symSize: 0x2B0 }
  - { offsetInCU: 0xBF74, offset: 0xBF74, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5660, symSize: 0xC0 }
  - { offsetInCU: 0xC0BA, offset: 0xC0BA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5720, symSize: 0x10 }
  - { offsetInCU: 0xC17C, offset: 0xC17C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5730, symSize: 0x220 }
  - { offsetInCU: 0xC479, offset: 0xC479, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5950, symSize: 0x10 }
  - { offsetInCU: 0xC4D6, offset: 0xC4D6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5960, symSize: 0x3D0 }
  - { offsetInCU: 0xC92E, offset: 0xC92E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FE0, symBinAddr: 0x5D30, symSize: 0x10 }
  - { offsetInCU: 0xC9AB, offset: 0xC9AB, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9FF0, symBinAddr: 0x5D40, symSize: 0xC0 }
  - { offsetInCU: 0xCAC1, offset: 0xCAC1, size: 0x8, addend: 0x0, symName: _CompiledMethodLoad, symObjAddr: 0xA0B0, symBinAddr: 0x5E00, symSize: 0x200 }
  - { offsetInCU: 0xCD52, offset: 0xCD52, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_CompiledMethodLoad_compmethload001_check, symObjAddr: 0xA2B0, symBinAddr: 0x6000, symSize: 0x20 }
  - { offsetInCU: 0xCD87, offset: 0xCD87, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA380, symBinAddr: 0x60D0, symSize: 0x36A }
...
